--- kaffeine/player-parts/Makefile.am
+++ kaffeine/player-parts/Makefile.am
@@ -12,10 +12,8 @@
 kaffeineincludedir = $(includedir)/kaffeine
 kaffeineinclude_HEADERS = mrl.h kmediapart.h playlistimport.h
 
-noinst_HEADERS = http.h
-
 METASOURCES = AUTO
 
-libkmediapart_la_SOURCES = mrl.cpp kmediapart.cpp playlistimport.cpp http.c
+libkmediapart_la_SOURCES = mrl.cpp kmediapart.cpp playlistimport.cpp
 libkmediapart_la_LIBADD  = $(LIB_KPARTS)
 libkmediapart_la_LDFLAGS = $(all_libraries) -version-info 0:1:0 -no-undefined
--- kaffeine/player-parts/playlistimport.cpp
+++ kaffeine/player-parts/playlistimport.cpp
@@ -34,7 +34,6 @@
 #include <qregexp.h>
 
 #include "mrl.h"
-#include "http.h"
 
 #include "playlistimport.h"
 
@@ -430,57 +429,21 @@
 
 bool PlaylistImport::ram(const MRL& playlist, MRL::List& mrls, QWidget* parent)
 {
-	kdDebug() << "PlaylistImport: ram: " << playlist.url() << endl;
-	Q_ULONG result;
-	char buf[10];
-	char mime[1024];
+       kdDebug() << "PlaylistImport: ram: " << playlist.url() << endl;
 
-	if (playlist.kurl().isLocalFile())
-	{
-		QFile file(playlist.kurl().path());
-		if (!file.open(IO_ReadOnly))
-		{
-			kdError() << "PlaylistImport: Can't open " << playlist.url() << endl;
-			return false;
-		}
-		result = file.readBlock(buf, 4);
-		file.close();
-		if (result != 4)
-		{
-			kdError() << "PlaylistImport: Can't read " << playlist.url() << endl;
-			return false;
-		}
-	}
-	else
-	{
-		if (playlist.kurl().protocol() == "http")
-		{
-
-			result = http_peek(playlist.url(), 4, buf, mime);
-
-			if (result <= 0)
-			{
-				kdError() << "Can't open " << playlist.url() << endl;
-				return false;
-			}
-		}
-		else
-		{
-			kdError() << "PlaylistImport: ram: Download via " << playlist.kurl().protocol() <<
-			" protocol not supported." << endl;
-			return false;
-		}
-	}
-
-	if (buf[0]=='.' && buf[1]=='R' && buf[2]=='M' && buf[3]=='F')
-	{
-		kdDebug() << "PlaylistImport: Seems to be a real media file" << endl;
-		return false;
-	}
-
-	kdDebug() << "PlaylistImport: Seems to be a ram playlist!" << endl;
+        if (!playlist.kurl().isLocalFile() && !playlist.kurl().protocol().startsWith("http")) {
+                kdError() << "PlaylistImport: ram: Download via " << playlist.kurl().protocol() << " protocol not supported." << endl;
+                return false;
+        }
+
+        kdDebug() << "PlaylistImport: Seems to be a ram playlist!" << endl;
+
+        QString localFile, url;
+        if (KIO::NetAccess::mimetype(playlist.kurl(), parent) == "application/vnd.rn-realmedia") {
+                kdDebug() << "PlaylistImport: Seems to be a real media file" << endl;
+                return false;
+        }
 
-	QString localFile, url;
 	if (KIO::NetAccess::download(playlist.kurl(), localFile, parent))
 	{
 		QFile plFile(localFile);
